package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.OrderGoods;
import com.lightinit.hsdataplatformresdir.entity.OrderGoodsExample;
import java.util.List;
import com.lightinit.hsdataplatformresdir.model.admin.ThemeCountSearchModel;
import com.lightinit.hsdataplatformresdir.model.admin.ThemeStatisticsModel;
import org.apache.ibatis.annotations.Param;

public interface OrderGoodsMapper {
    long countByExample(OrderGoodsExample example);

    int deleteByExample(OrderGoodsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OrderGoods record);

    int insertSelective(OrderGoods record);

    List<OrderGoods> selectByExampleWithBLOBs(OrderGoodsExample example);

    List<OrderGoods> selectByExample(OrderGoodsExample example);

    OrderGoods selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OrderGoods record, @Param("example") OrderGoodsExample example);

    int updateByExampleWithBLOBs(@Param("record") OrderGoods record, @Param("example") OrderGoodsExample example);

    int updateByExample(@Param("record") OrderGoods record, @Param("example") OrderGoodsExample example);

    int updateByPrimaryKeySelective(OrderGoods record);

    int updateByPrimaryKeyWithBLOBs(OrderGoods record);

    int updateByPrimaryKey(OrderGoods record);

    List<ThemeStatisticsModel> queryThemeList(ThemeCountSearchModel inputModel);

    List<ThemeStatisticsModel> queryDeptList(ThemeCountSearchModel inputModel);

    List<ThemeStatisticsModel> queryResourceList(ThemeCountSearchModel inputModel);
}